All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
stan::math::op_ddv_vari Class Reference

`#include <ddv_vari.hpp>`

Inheritance diagram for stan::math::op_ddv_vari:

## Public Member Functions

| op_ddv_vari (double f, double a, double b, vari *cvi)
Public Member Functions inherited from stan::math::vari
| vari (const double x)
| Construct a variable implementation from a value. More...
| vari (const double x, bool stacked)
virtual | ~vari ()
| Throw an illegal argument exception. More...
virtual void | init_dependent ()
| Initialize the adjoint for this (dependent) variable to 1. More...
virtual void | set_zero_adjoint ()
| Set the adjoint value of this variable to 0. More...
Public Member Functions inherited from stan::math::chainable
| chainable ()
| Construct a chainable object. More...
virtual | ~chainable ()
| Chainables are not destructible and should go on the function call stack or be allocated with operator new. More...
virtual void | chain ()
| Apply the chain rule to this variable based on the variables on which it depends. More...

## Protected Attributes

double | ad_
double | bd_
vari * | cvi_

## Additional Inherited Members

Static Public Member Functions inherited from stan::math::chainable
static void * | operator new (size_t nbytes)
| Allocate memory from the underlying memory pool. More...
static void | operator delete (void *)
| Delete a pointer from the underlying memory pool. More...
Public Attributes inherited from stan::math::vari
const double | val_
| The value of this variable. More...
double | adj_
| The adjoint of this variable, which is the partial derivative of this variable with respect to the root variable. More...

## Detailed Description

Definition at line 9 of file ddv_vari.hpp.

## Constructor & Destructor Documentation

stan::math::op_ddv_vari::op_ddv_vari | ( | double | f,
|  | double | a,
|  | double | b,
|  | vari * | cvi
| ) |  |

inline

Definition at line 15 of file ddv_vari.hpp.

## Member Data Documentation

double stan::math::op_ddv_vari::ad_

protected

Definition at line 11 of file ddv_vari.hpp.

double stan::math::op_ddv_vari::bd_

protected

Definition at line 12 of file ddv_vari.hpp.

vari* stan::math::op_ddv_vari::cvi_

protected

Definition at line 13 of file ddv_vari.hpp.

The documentation for this class was generated from the following file:

- stan/math/rev/core/ddv_vari.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.